<?php session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']=''; 
menu();
$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Conceptos	
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Conceptos";
echo "&nbsp;&nbsp;<img border = 0 src='images/b_estavez.png' alt='Concepto'><a href='master_concepto.php'> Conceptos</a>";
echo "&nbsp;&nbsp;(2)<a href='master_concepto_nomina.php'>Desact/N&oacute;mina</a>";
echo "&nbsp;&nbsp;(3)<a href='master_concepto_periodo.php'>Desact/Per&iacute;odo</a>";
echo "&nbsp;&nbsp;(4)<a href='master_concepto_condicion.php'>Desact/Condici&oacute;n</a>";
echo "</font><hr>";
echo "<h2>Desactivar Conceptos por Empleados</h2>";
$accion=$_REQUEST["accion"];
$concepto=$_REQUEST["concepto"];
$cedula=$_REQUEST["cedula"];
$codigo=$_REQUEST["codigo"];

echo "<font face='verdana' size=2>";
$query = "select * from concepto where id='".$_SESSION['id_validar']."' order by codigo";
$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");
$resultado = mysqli_num_rows($consulta);
if ($resultado == 0) {
	echo "<table width = '50%'>";
	echo "<tr><td><h3>No se han ingresado CONCEPTOS...</h3></tr></td></table>";
} else {

// MUESTRA CONCEPTOS
	echo"	<table width = '500' align='center'>
			<form name = 'ENTRADA' method = 'POST' action = '".$_SERVER['PHP_SELF']."'>
			<tr> <td align = 'right'> Concepto: </td>
			<td align = 'left'> <select name = 'CONCEPTO'>";
			for ($i=0;$i<$resultado;$i++) {
				$row = mysqli_fetch_array($consulta);
				if ($_POST['CONCEPTO']!="") {
					if (substr($_POST['CONCEPTO'],0,4)==$row['codigo']) 
						echo "<option selected>".$row['codigo']." - ".$row['detalle'] ;
					else echo "<option>".$row['codigo']." - ".$row['detalle'] ;
				} else
					if ($concepto!="") {
						if (substr($concepto,0,4)==$row['codigo']) 
							echo "<option selected>".$row['codigo']." - ".$row['detalle'] ;
						else echo "<option>".$row['codigo']." - ".$row['detalle'] ;
					} else {
						echo "<option>".$row['codigo']." - ".$row['detalle'] ;				
					}
			}
	echo"   </select>&nbsp;&nbsp;&nbsp;&nbsp;
			<input type = 'submit' name =  'BUSCAR' value = '   Buscar   '>
			<input type = 'hidden' name = 'ACCION' value = '1'>
			</td></tr></form></table>";

// INSERTAR POR REGISTROS
if ($accion == 2) {
			$query = "select * from concepto_empleado where id='".$_SESSION['id_validar']."' and codigo = '".substr($concepto,0,4)."' and cedula = '".$cedula."'";
			$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");
			$resultado = mysqli_num_rows($consulta);
			if ($resultado == 0) {
				$query = "insert into concepto_empleado (id,cedula,codigo) values ('".$_SESSION['id_validar']."',";
				$ced = "'".$cedula."', ";
				$cod = "'".$concepto."')";
				$consulta = mysqli_query ($enlace, $query.$ced.$cod) or die ("No se pudo ingresar los datos...");
			}		
}

// ELIMINAR REGISTROS
if ($accion == 3) {
			$query = "delete from concepto_empleado where id='".$_SESSION['id_validar']."' and codigo = '".substr($concepto,0,4)."' and cedula = '".$cedula."' limit 1";
			$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");
}

//AGREGAR ELIMINAR O ELIMINAR POR LOTE
if ($_POST['ACCION'] == '4') {
			$concepto=$_POST['CONCEPTO'];
			if ($_POST['GERENCIA']!="") {
				if ($_POST['DEPARTAMENTO']!="") $query = "select codigo from personal where id='".$_SESSION['id_validar']."' and gerencia = '".$_POST['GERENCIA']."' or departamento = '".$_POST['DEPARTAMENTO']."'";
				else $query = "select codigo from personal where id='".$_SESSION['id_validar']."' and gerencia = '".$_POST['GERENCIA']."' ";
			} else {
				if ($_POST['DEPARTAMENTO']!="") $query = "select codigo from personal where id='".$_SESSION['id_validar']."' and departamento = '".$_POST['DEPARTAMENTO']."'";
				else $query = "select codigo from personal where id='".$_SESSION['id_validar']."' ";
			}	
			$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");
			$resultado = mysqli_num_rows($consulta);
			for ($i=1; $i<=$resultado; $i++) {
				$row = mysqli_fetch_array($consulta);
				$ced[$i] = $row['codigo'];
			}
			//AGREGAR
			if ($_POST['LOTE'] == '1') {
				for ($i=1; $i<=$resultado; $i++) {
					$query = "select * from concepto_empleado where id='".$_SESSION['id_validar']."' and codigo = '".substr($concepto,0,4)."' and cedula = '".$ced[$i]."'";
					$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");
					$resultado2 = mysqli_num_rows($consulta);
					if ($resultado2 == 0) {
						$query = "insert into concepto_empleado (id, cedula, codgo) values ('".$_SESSION['id_validar']."',";
						$cedula = "'".$ced[$i]."', ";
						$codigo = "'".substr($concepto,0,4)."')";
						$consulta = mysqli_query ($enlace, $query.$cedula.$codigo) or die ("No se pudo ingresar los datos...");
					}
				}
				//ELIMINAR
			} else {
				for ($i=1; $i<=$resultado; $i++) {
					$query = "delete from concepto_empleado where id='".$_SESSION['id_validar']."' and codigo = '".substr($concepto,0,4)."' and cedula = '".$ced[$i]."'";
					$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");				
				}
			}
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// MUESTRA ENCABEZADO DE ENTRADA
if ($_POST['CONCEPTO'] != "" || $concepto != "") {
	if($concepto!="") $query = "select * from concepto where id='".$_SESSION['id_validar']."' and codigo = '".substr($concepto,0,4)."'";
	else $query = "select * from concepto where id='".$_SESSION['id_validar']."' and codigo = '".substr($_POST['CONCEPTO'],0,4)."'";
		$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");
		$row = mysqli_fetch_array($consulta);
		$concepto = $row['codigo']." - ".$row['detalle'];

		/// POR LOTE
		echo "<br>";
		echo "<table align = 'center'>";
			echo "<tr><td>Procesos por lote:</td>";
			echo "<form name = 'porlote' method = 'POST' action = '".$_SERVER['PHP_SELF']."'>";
				echo "<input type = 'hidden' name = 'ACCION' value = '4'>";
				echo "<input type = 'hidden' name = 'CONCEPTO' value = '".$concepto."'>";
				echo "<td>";
					$query = "select * from tablas where tabla = 'GERENCIA' and id='".$_SESSION['id_validar']."' ";
					$consulta = mysqli_query($enlace,$query)
								or die ("No se pudo realizar la consulta...");	
					$resultado = mysqli_num_rows($consulta);				
					echo "Gerencia: <select name = 'GERENCIA'>";
						echo "<option>";
						if ($resultado != 0) {
							for ($i=0;$i<$resultado;$i++) {
								$row = mysqli_fetch_array($consulta);
								echo "<option width = '30%'>".$row['codigo']." - ".$row['detalle'];
							}
						}
					echo "</select>";
				echo "</td>";
				echo "<td>";
					$query = "select * from tablas where tabla = 'DEPARTAMENTO' and id='".$_SESSION['id_validar']."' ";
					$consulta = mysqli_query($enlace,$query)
								or die ("No se pudo realizar la consulta...");	
					$resultado = mysqli_num_rows($consulta);
					echo "Dpto: ";
					echo "<select name = 'DEPARTAMENTO'>";
						echo "<option>";
						if ($resultado != 0) {
							for ($i=0;$i<$resultado;$i++) {
								$row = mysqli_fetch_array($consulta);
								echo "<option width = '30%'>".$row['codigo']." - ".$row['detalle'];
							}
						}
					echo "</select>";
				echo "</td>";
				echo "<td>&nbsp;Agregar <input type = 'radio' name = 'LOTE' value = '1' checked>";
					echo "Eliminar <input type = 'radio' name = 'LOTE' value = '2'>&nbsp;&nbsp;";
					echo "<input type = 'submit' value = '   Procesar   '";
				echo "</td>";
			echo "</tr>";
			echo "</form";
		echo "</table>";

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// MUESTRA TABLA DE CONCEPTOS X EMPLEADOS
		echo "<table width = '100%'>";
			echo "<tr>";
				echo "<td witdh = '50%' valign = 'top'>";
					$query = "select concepto_empleado.cedula, concepto_empleado.codigo, personal.apellidos, personal.nombres from concepto_empleado, personal where personal.id='".$_SESSION['id_validar']."' and trim(concepto_empleado.codigo) = '".substr($concepto,0,4)."' and trim(personal.codigo) = trim(concepto_empleado.cedula) order by concepto_empleado.cedula";
					$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");
					$resultado = mysqli_num_rows($consulta);
					echo "<table width = '100%' border align = 'left'>";
					echo "	<tr bgcolor = '#00BFFF'>";
					echo "		<th align = center><font face='verdana' size=2> Concepto </font></th>";
					echo "		<th align = center><font face='verdana' size=2> C&eacute;dula </font></th>";
					echo "		<th align = center><font face='verdana' size=2> Apellidos y Nombres </font></th>";
					echo "		<th align = center><font face='verdana' size=2> Acci&oacute;n </font></th><tr>";
					if ($resultado != 0) {
						while ($row = mysqli_fetch_array($consulta)) {
							echo "<tr bgcolor = '#cdcdcd'>";
							echo "<td>".$row['codigo']."</td>";
							echo "<td>".$row['cedula']."</td>";
							echo "<td>".$row['apellidos'].", ".$row['nombres']."</td>";					
							echo "<td align='center'>";
							$cedula = $row['cedula'];
							echo "<a href = '".$_SERVER['PHP_SELF']."?accion=3&concepto=".$concepto."&cedula=".$cedula."'> Eliminar </a></td></tr>";
						}
						mysqli_free_result($consulta);
					}
					echo "</table>";			
				echo "</td>";

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// MUESTRA TABLA DE EMPLEADOS
				echo "<td witdh = '50%'  valign = 'top'>";
					$query = "select codigo, nombres, apellidos from personal where id='".$_SESSION['id_validar']."' order by codigo";
					$consulta = mysqli_query($enlace,$query) or die ("No se pudo consultar con la tabla...");
					$resultado = mysqli_num_rows($consulta);
					echo "<table width = '100%' border align = 'left'>";
					echo "	<tr bgcolor = '#00BFFF'>";
					echo "		<th align = center><font face='verdana' size=2> C&eacute;dula </font></th>";
					echo "		<th align = center><font face='verdana' size=2> Apellidos </font></th>";
					echo "		<th align = center><font face='verdana' size=2> Nombres </font></th>";
					echo "		<th align = center><font face='verdana' size=2> Acci&oacute;n </font></th><tr>";
					if ($resultado != 0) {
						while ($row = mysqli_fetch_array($consulta)) {
							echo "<tr bgcolor = '#cdcdcd'>";
							echo "<td>".$row['codigo']."</td>";
							echo "<td>".$row['apellidos']."</td>";
							echo "<td>".$row['nombres']."</td>";					
							echo "<td align='center'>";
							$cedula = $row['codigo'];
							echo "<a href = '".$_SERVER['PHP_SELF']."?accion=2&concepto=".$concepto."&cedula=".$cedula."'> Agregar </a></td></tr>";
						}
						mysqli_free_result($consulta);
					}
					echo "</table>";			
				echo "</td>";
			echo "</tr>";				
		echo "</table>";
	}
}	
echo "</font></body>";
echo "</html>";
?>
